Page MenuHome

Crash during cycles GPU rendering in viewport
Needs Information from Developers, NormalPublic

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: AMD Radeon RX 5700 XT ATI Technologies Inc. 4.5.13587 Core Profile Context 20.3.1 26.20.15029.15007

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-03-12 05:06, hash: rB375c7dc4caf4
Worked: (optional)

Short description of error
Blender crashes when using my GPU to render with cycles. This does not occur when using CPU. This does not occur when using F12 to render, only when in viewport.
This occurs when rendering anything, including a basic cube.
Blender displays "Loading render kernels" for a period of time before closing with no error message.
Running it via the console shows an LLVM error.
I have tested it on blender 2.81 as well and it does not work there.

Exact steps for others to reproduce the error
[Please describe the exact steps needed to reproduce the issue]
[Based on the default startup or an attached .blend file (as simple as possible)]

  • Open .blend file
  • Set cycles to use opencl with RX5700 XT
  • Set GPU compute in render options
  • Change viewport to render view
  • Wait until crash

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I contacted the manufacturer of my 5600 XT (XFX) and they told me to return the card for a full refund. So i bought a new RTX 2060 from nVidia. All my problems were solved, and now the performance is extremely, extremely fast. Like 100x faster than what i was experiencing with the 5600XT, even on those brief moments when it actually worked. Error codes in Substance Painter also disspeared and I think some artifacts that were very common before no longer appear or do so much less often (still testing this bit). But overall is better, faster, even denoised is waaaay faster than the 5600 XT.

I had to reduce the viewport passes to 16, because 32 was just too slow with the 5600XT, with the nVidia RTX 2060 AND the viewport denoiser active (something VERY slow with the 5600 XT) is SO fast i can't even see the numbers as they go up to 32. The improvement should be at least 100 times faster.

Upgrading to the RTX 2060 was an absolute GAME-CHANGER, in terms of speed, quality, and features (like denoising or OptiX), albeit for about 40£ extra. Like other users have said before, don't waste any more time with the Radeon cards, AMD certainly isn't, as this has been going on for a year now. I can recommend the cheapest 2060 you can get, as it changed entirely my workflow. Its like Blender paradise.

why did you close this thread? it hasn't been resolved for those who still use amd

Robert Guetzkow (rjg) reopened this task as Needs Information from Developers.Nov 6 2020, 3:56 PM

@Armand (Wolfeius) Please don't close tickets that are not your own, especially when many users have confirmed the issue. Based on @Maciej Szczodrowski (Sajunara) 's comment, AMD is working on a patch for their graphics driver.

I contacted the manufacturer of my 5600 XT (XFX) and they told me to return the card for a full refund. So i bought a new RTX 2060 from nVidia. All my problems were solved, and now the performance is extremely, extremely fast. Like 100x faster than what i was experiencing with the 5600XT, even on those brief moments when it actually worked. Error codes in Substance Painter also disspeared and I think some artifacts that were very common before no longer appear or do so much less often (still testing this bit). But overall is better, faster, even denoised is waaaay faster than the 5600 XT.

I had to reduce the viewport passes to 16, because 32 was just too slow with the 5600XT, with the nVidia RTX 2060 AND the viewport denoiser active (something VERY slow with the 5600 XT) is SO fast i can't even see the numbers as they go up to 32. The improvement should be at least 100 times faster.

Upgrading to the RTX 2060 was an absolute GAME-CHANGER, in terms of speed, quality, and features (like denoising or OptiX), albeit for about 40£ extra. Like other users have said before, don't waste any more time with the Radeon cards, AMD certainly isn't, as this has been going on for a year now. I can recommend the cheapest 2060 you can get, as it changed entirely my workflow. Its like Blender paradise.

This is exactly what I did as well. Contacted XFX last week, got a full refund from the online shop I bought the 5700XT from and bought a RTX2060s. I should receive it by Monday or Tuesday.

If somebody are switching to nvidia consider 3070 Nvidia Card.
https://versus.com/en/galax-geforce-rtx-2060-super-vs-palit-geforce-rtx-3070-gamingpro

There is twice more CUDA and Optix will work like crazy. HOPE.

im waiting for driver update, i heard that amd is working on feature where cpu share resources with gpu and backwards, - will be shared resources. only thing is that you have both amd - cpu and gpu. info not confirmed but interesting.

Regards, Saju

If somebody are switching to nvidia consider 3070 Nvidia Card.
https://versus.com/en/galax-geforce-rtx-2060-super-vs-palit-geforce-rtx-3070-gamingpro

There is twice more CUDA and Optix will work like crazy. HOPE.

im waiting for driver update, i heard that amd is working on feature where cpu share resources with gpu and backwards, - will be shared resources. only thing is that you have both amd - cpu and gpu. info not confirmed but interesting.

Regards, Saju

Unfortunately that's not an option here in South Africa. Cheapest 3070 is like 1.5 times more than the 2060s

Unfortunately that's not an option here in South Africa. Cheapest 3070 is like 1.5 times more than the 2060s

In that case is good option. i were choseing betwen 5700 xt and 2060 Super.

If somebody are switching to nvidia consider 3070 Nvidia Card.
https://versus.com/en/galax-geforce-rtx-2060-super-vs-palit-geforce-rtx-3070-gamingpro

There is twice more CUDA and Optix will work like crazy. HOPE.

im waiting for driver update, i heard that amd is working on feature where cpu share resources with gpu and backwards, - will be shared resources. only thing is that you have both amd - cpu and gpu. info not confirmed but interesting.

Regards, Saju

Это будет работать только на Ryzen5000+ с новыми видеокартами Radeon 6xxx. О других совместимостях я не слышал. В ProRender Есть такая функция обработки CPU+GPU но она на данный момент даёт сбой, кажется что AMD готовится взорвать производительностью КОМПЛЕКСОМ своей системы, что очень разумный маркетинговый шаг на данном этапе событий. В целом мне жалко продавать Rx5700xt, но всё так резко изменилось, я уже год работаю в другой сфере деятельности из-за ошибок, но всё равно это сложно...Я всю жизнь использовал AMD комплектующие...

This will only work on Ryzen5000 + with newer Radeon 6xxx graphics cards. I have not heard about other compatibility. In ProRender there is such a function of processing CPU + GPU but it is currently malfunctioning, it seems that AMD is preparing to explode the performance of its system with a COMPLEX, which is a very reasonable marketing step at this stage of events. In general, I am sorry to sell the Rx5700xt, but everything has changed so dramatically, I have been working in another field of activity for a year due to errors, but still it's difficult ... I have used AMD components all my life ...

I contacted the manufacturer of my 5600 XT (XFX) and they told me to return the card for a full refund. So i bought a new RTX 2060 from nVidia. All my problems were solved, and now the performance is extremely, extremely fast. Like 100x faster than what i was experiencing with the 5600XT, even on those brief moments when it actually worked. Error codes in Substance Painter also disspeared and I think some artifacts that were very common before no longer appear or do so much less often (still testing this bit). But overall is better, faster, even denoised is waaaay faster than the 5600 XT.

I had to reduce the viewport passes to 16, because 32 was just too slow with the 5600XT, with the nVidia RTX 2060 AND the viewport denoiser active (something VERY slow with the 5600 XT) is SO fast i can't even see the numbers as they go up to 32. The improvement should be at least 100 times faster.

Upgrading to the RTX 2060 was an absolute GAME-CHANGER, in terms of speed, quality, and features (like denoising or OptiX), albeit for about 40£ extra. Like other users have said before, don't waste any more time with the Radeon cards, AMD certainly isn't, as this has been going on for a year now. I can recommend the cheapest 2060 you can get, as it changed entirely my workflow. Its like Blender paradise.

This is exactly what I did as well. Contacted XFX last week, got a full refund from the online shop I bought the 5700XT from and bought a RTX2060s. I should receive it by Monday or Tuesday.

So it was possible ?! I don't think that this is possible in the Republic of Belarus = (But, I would like to return her to the store

so RX 5700 XT was a bad choice.... feel so unlucky..........

just delete this folder: \ AppData \ Roaming \ Blender \ 2.90 \ cache \ kermels.

right click on the blender icon.

troubleshoot compatibility issues.

just delete this folder: \ AppData \ Roaming \ Blender \ 2.90 \ cache \ kermels.

right click on the blender icon.

troubleshoot compatibility issues.

Are you sure you are using your GPU for rendering? Because the "device" section is grayed out.

well, this was one of the first things I tried when I got this bug, It didnt work back then neither it did now, I get the following error


crashing some seconds later

my computer specs are a ryzen 3600 and an rx5700xt

make sure you are not rendering with cpu

New drivers, folder: \ AppData \ Roaming \ Blender \ 2.90 \ cache \ kermels - deleted, and still no renders. Hahahahahahahahahahahahahahaha, just great.

👍👍👍👍👍👍👍👍👍👍

I am also experiencing this issue with an AMD Radeon RX 5600 XT.
AMD Driver version: 20.11.1
CPU: Intel Core i5 8400
Windows 10 2004

Here are the logs from Blender 2.90:

I am also experiencing this issue with an AMD Radeon RX 5600 XT.
AMD Driver version: 20.11.1
CPU: Intel Core i5 8400
Windows 10 2004

Here are the logs from Blender 2.90:

Отправьте пожалуйста багрепорт, с помощью меню драйвера в AMD corp

I have a RX 5700 XT and have the same problem. I got into blender only a couple of days ago so this is a little menacing.

Its sad that you have start like that, Bender is awesome software so be patient or switch to nvidia if you can.

you can also just revert the drivers to 20.4.2, render with only the cpu or use eevee/luxcore

UPDATE

Just updated to the new 20.11.2 Drivers and now all my renders on the GPU (RX 5700) work!
Even the principled Volume works without crashing!

Note the loading of the render kernels the first time after updating the driver took about 4 Minutes, after that everything was instantly loaded.

Have the same, i couldnt believe it XD
20.11.2 - drivers. Blender working no crash so far, so we colse, plz check in your specs ? Good Job AMD. 👍👍👍👍👍👍👍👍❤❤❤❤❤❤❤❤😍😍😍😍😍😍😍😍😍👏👏👏👏👏👏👏👏👏

I can to confirm the new drivers work, just with a really long compiling of render kernals. I am still converting to team green. I haven't been able to work efficiently for months now because of this so can't risk it happening again which is a HUGE possibility as their drivers seem to break things all the time.

Yep, I can confirm it has been fixed, as josh said, it takes a while loading and even gave me a kernel error, but if you go to solid mode and go back to render it works fine.

My graphics card is an RX5700xt, it would be good if someone with an older gen card also test it to see if it has been fully fixed

It still feels quite iffy in some scenes to get it working, but yeah I can get it to render aswell on my 5700(XT)

Confirmed, 20.11.2 version AMD driver works fine. Although loading for the kernels takes up to 3 minutes

Not exactly the same issue (AMD RX 460 2GB, drivers 20.9.2):

If the scene is extremely simple, like the default cube, after waiting for "loading render kernels" (if I do anything* during this message Blender crashes) the scene does render. It's slower than just the CPU, but it renders, and I can move the camera without causing a crash.
If the scene is more complex than a default cube, Blender (after some waiting) manages to get to the first sample, but it won't go any further. Again, doing anything* crashes Blender.

*Actually not anything: only actions that cause another rendering, like moving the camera, will crash Blender. For the second example, if I change render device to CPU, Blender will switch successfully without crashing.

Well, the crash is fixed! When doing actions that cause a new render, it will do a new render, just as it should.
Unfortunately it still doesn't go past the first sample. Or maybe it eventually will, but too much time passed, CPU rendering would have already finished. I don't know if the little VRAM I have is the cause.
Also unrelated, but I tried to render (not via viewport) and it caused a driver hang, forcing me to kill Blender via task manager.

Я был очень рад прочитать позитивные отзывы о 20.11.2 , но у меня в рендере окна


И очень медленно реагирует на переключения, включения рендеров. ОЧЕНЬ медленно реагирует, во время выхода из рендера окна даже подумал что Blender завис! Но всё же отошел через некоторое время...
Обычный рендер F12 действительно загружается очень долго


Но! Это уже что, то! С нетерпением жду полного устранения проблемы! Очень нужно работать, я уже забыл хоткеи и отстаю от нововведений на столько что заново придется учить программу ((

I was very happy to read the positive feedback on 11/20/2, but I have

in my window render
And very slowly responds to switching, turning on renders. VERY slow to react, when exiting the render window I even thought that Blender was frozen! But still, he left after a while ...
Normal F12 render takes a really long time to load


But! This is something! I look forward to completely fixing the problem! I really need to work, I have already forgotten the hotkeys and am lagging behind innovations to re-learn the program ((

Radeon ProRender (very Slow reaction in renders)

Normal F12 render takes a really long time to load

to be fair, openCL always took a long time to start rendering, even before the bug

Ubuntu 20.04
Video card: Nvidia 780Ti
Compute card: rx 5700 xt

Command: sudo ./amdgpu-pro-install --opencl=pal --headless

Compute GPU not in Blender 2.90.1 OpenCL list

Command: sudo apt install ocl-icd-dev ocl-icd-libopencl1-amdgpu-pro-dev -y

Compute GPU appeared in Blender.

Testing: viewport rendering... same behavior as previous drivers, takes about 3 mins to compile.

Testing: rendering monkey with default material and default settings

OpenCL rendering:
                       first time: 1m 20s
                       second time: 6.64s
CUDA rendering: 
                       first time: 0.21s

Testing BAKE!...... Fail.

Memory access fault by GPU node-1 (Agent handle: 0x7f6042c01e00) on address 0x7f5f93bec000. Reason: Page not present or supervisor privilege.

Aborted

This is not a fresh install but it should have worked anyway.

I'll try in a fresh install later this week, no luck for me so far.

Normal F12 render takes a really long time to load

to be fair, openCL always took a long time to start rendering, even before the bug

20.4.2 Ok speed reaction , for my system.

I did some tests with latest 5700xt drivers on Linux (20.45) - I downloaded Nishita Sky Demo from Cycles, then tried to Render a single image.

ProRender completes in 55 seconds for 100% image size, and gives this result: https://i.imgur.com/Qqp2IFm.jpg

Cycles completes in 3,5 minutes for 52% image size, and gives this result: https://i.imgur.com/5jR3Szu.jpg

Is this expected or I'm doing something wrong? I have no experience with Blender I'm just trying to figure out if the drivers are working properly, and exploring new features :)

I did some tests with latest 5700xt drivers on Linux (20.45) - I downloaded Nishita Sky Demo from Cycles, then tried to Render a single image.

ProRender completes in 55 seconds for 100% image size, and gives this result: https://i.imgur.com/Qqp2IFm.jpg

Cycles completes in 3,5 minutes for 52% image size, and gives this result: https://i.imgur.com/5jR3Szu.jpg

Is this expected or I'm doing something wrong? I have no experience with Blender I'm just trying to figure out if the drivers are working properly, and exploring new features :)

Looks like ProRender is not set up correctly, as it looks notably worse and there's even missing textures

Looks like ProRender is not set up correctly, as it looks notably worse and there's even missing textures

Thanks, I realize now I need to configure ProRender to get better quality which also makes it slower. I will make more tests - but I guess both OpenCL and ProRender are working for these drivers. Sometimes after I click Render Image, the UI will stop responding and I will have to kill blender from terminal, so it's kinda relevant to the issue.

hi All,
I tested Blender with new drivers couple of times, and its stable. First render is preparing kernels and it was about 2-4 min. after that all next renders in viewport or F12 was working fast. Before testing i cleared kernel cache. For me its ok, working smooth with no crash.
Thanks all for help and involve with problem together somehow. i wish you all the best renders ever made, 😘😘😘

  • Saju

Bake Project still has no luck.

I had the same issues with my 5600xt with Adrenaline 20.9.1 (which came as recommended) and 20.11.1.
I now changed it to 20.4.2 and rendering works Einwandfrei ! :)

If you are new to this, you need to uninstall your old drivers first using DDU (https://www.guru3d.com/files-details/display-driver-uninstaller-download.html). If you do not do this, then you will have compatibility issues with your drivers and software.

Step 1: Install DDU
Step 2: Run the DDÚ application. Choose to uninstall 'GPU'-> AMD.
Step 3: Restart
Step 4: Install 20.4.2 adrenaline from here : https://www.amd.com/en/support/kb/release-notes/rn-rad-win-20-4-2
Step 5: Restart

@Diogo Valadares Reis dos Santos (DiogoX2) Tried it. The cycles rendering doesn't work and Blender crashes.
No issues with 20.4.2. I shall continue using it until AMD fixes this, hopefully in their next release.

Has anybody tried the drivers(20.11.2) with blender 2.91? I tried messing around with the new "mesh to volume modifier" and it seems to not like it. The volume has no material but its colored red, I don't know why.

My advice to you, do not suffer, but exchange for RTX2070S, RTX3070, I sold my RX5700xt ... Until AMD comes up with a replacement for CUDA \ Optix, there is no sense in working in Blender with Radeon. This is the segment of mining and video games. Blender Positioned on Nvidia and Linux.

My advice to you, do not suffer, but exchange for RTX2070S, RTX3070, I sold my RX5700xt ... Until AMD comes up with a replacement for CUDA \ Optix, there is no sense in working in Blender with Radeon. This is the segment of mining and video games. Blender Positioned on Nvidia and Linux.

Yeah, thats why we re stuck with a NOT STABLE Blender version sicne 2.83 on the AMD side. This does NOT fix the Problem.

I just installed the driver version 20.11.2 for 5700xt. It works fine with blender version 2.90.1

However it shows an error with cycles enabled in blender version 2.91

However it shows an error with cycles enabled in blender version 2.91

Yes, I already said, at this point in time I sell PRO versions from AMD will not give results, in terms of technology-performance-price-quality of the scene (work). AMD + Blender - makes it possible to use Blender, but they are not suitable for permanent work in the program, only in a separate segment such as video editing.

However it shows an error with cycles enabled in blender version 2.91


this only happens once, if you go to solid then go to rendered mode again it works fine

for some reason when you go to solid mode it finishes the kernels compilation, so for a second blender will look like it hanged, but if you look at the console it will show what its doing:

Cycles: compiling OpenCL program split_subsurface_scatter...
Cycles: compiling OpenCL program split_direct_lighting...
Cycles: compiling OpenCL program split_indirect_background...
Cycles: compiling OpenCL program split_shader_eval...
Cycles: compiling OpenCL program split_lamp_emission...
Cycles: compiling OpenCL program split_holdout_emission_blurring_pathtermination_ao...
Split kernel error: failed to load kernel_indirect_background

it fails here, and then going to solid mode I get:

Cycles: compiling OpenCL program split_shadow_blocked_dl...
Kernel compilation of split_indirect_background finished in 63.59s.
Cycles: compiling OpenCL program split_shadow_blocked_ao...
Kernel compilation of split_shader_eval finished in 63.80s.
Kernel compilation of split_holdout_emission_blurring_pathtermination_ao finished in 64.46s.
Kernel compilation of split_lamp_emission finished in 64.82s.
Kernel compilation of split_direct_lighting finished in 69.63s.
Kernel compilation of split_subsurface_scatter finished in 84.71s.
Kernel compilation of split_shadow_blocked_ao finished in 53.30s.
Kernel compilation of split_shadow_blocked_dl finished in 62.10s.
REYNEP (NWERO) added a comment.EditedDec 25 2020, 8:13 PM

Seems like all the GCN 4 and RDNA 1 Cards are Having this OpenCL+Kernel Related Bug. (BUT NO GCN 5 CARD)

Does anybody have any updates or fixes to this? 20.11.2 crashes for me when I use 2.90 or 2.91

Does anybody have any updates or fixes to this? 20.11.2 crashes for me when I use 2.90 or 2.91

-Update the latest motherboard BIOS driver, but watch out for version update comments!
-Install the driver no higher ""Adrenalin 2020 Edition 20.4.2 Recommended (WHQL)""

Jin (Veiss) added a comment.EditedJan 17 2021, 6:42 PM

Working in the new Blender 2.91.1 Alpha
Sapphire Nitro+ RX5700 XT
Ryzen 7 3700X 32GB Ram
Latest AMD Drivers

It does seem to still struggle a bit to compile kernels and what not prerendering in the image editor and especially with large scenes. Testing with the BMW GPU scene the viewport starts rendering right away. Seemingly not quite there yet, maybe the ball's in AMD's court for further optimization, or maybe I just don't know what to expect as this is the first GPU rendering I've been able to do on this machine, but it is at least useable now!

Please test and report back results. Specifically curious how better processors will fare with the 5700XT.

Works for me in blender 2.91.0

I have an Amd rx 5700, Amd ryzen 7 2700 and 32gb of ram with the latest amd drivers(20.11.3).

Takes a while for it to load the kernels and stuff for the render but when actually doing the rendering there are no issues.

Jin (Veiss) added a comment.EditedJan 18 2021, 4:59 AM

20.12.1 are the latest drivers, but 20.11.3 didn't work for me then either in any previous version of Blender so that's interesting.

Starting GPU rendering in the viewport is almost instant now. The only Kernel loading I have is in the image editor rendering. Try 2.91.1 and see how it goes. There's specific updates in the release notes regarding AMD GPUs. I can't seem to pull up the release notes for it now though...

This comment was removed by Mamdouh (MeDo4k).

Hi, today the new update "Adrenalin 2020 Edition 21.2.1 Optional" came out for my GPU rx 5700xt and it solved the problems with volume shaders, in the past I couldn't render any volume shader at all I tried all the different versions of the GPU drivers and Blender versions too.

Today I upgraded the GPU driver to "Adrenalin 2020 Edition 21.2.1 Optional" and it solved the problems for me, I use Windows 10 with rx 5700xt GPU and Blender 2.91.0 I hope it works for you guys as well.

Note;
Before this update I couldn't render at all in "Radeon Software" drivers so I had to install "Radeon™ Pro Software for Enterprise" drivers, then I couldn't play games properly with it, till I found out if you change "Feature set" to 'Experimental' you can actually render using "Radeon Software" drivers. Even though they all had issues with volume shaders.

Nice but what is the difference between "Adrenalin 2020 Edition 21.2.1 Optional" and Adrenalin 2020 Edition 20.11.2 Recommended (WHQL)?

the WHQL stands for "Windows Hardware Quality Labs" it basically means that Microsoft tested this driver and it met the standards of Microsoft, and it is compatible with their operating systems.

so they recommended the WHQL driver instead of the latest driver. since it is tested, certified, compatible with the operating system, etc..

Thanks for the clarification, do I have to uninstall my current driver(Adrenalin 2020 Edition 20.11.2) before installing non-WHQL version?

welcome, no you don't have to. If you want to you can completely remove the current driver using amd cleanup utility and install the new one.

Actually this is the first time I install a driver without restarting my PC, the screen did go black longer than usual so I think the GPU restarted or something I don't really know.

So far it kind of works, but after some testing I found a couple of issues. Attaching a noise to the density gives you errors.

and detaching the principled volume while in render view freezes blender.

It works fine with me, even if I detach the principled volume in render view mode

and detaching the principled volume while in render view freezes blender.

I reported this issue some time ago in T78027
also related:
T77858